aboutsummaryrefslogtreecommitdiffstats
path: root/tests/tls-pin-fingerprint/t
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2020-12-13 17:37:32 +0100
committerGuilhem Moulin <guilhem@fripost.org>2020-12-13 17:38:07 +0100
commitba9d8af01141a6d5d5b98a0e249c311814b844a6 (patch)
tree6b523c5b6361b56a67d7499b9b9fcf5e96d49b30 /tests/tls-pin-fingerprint/t
parent6dcf633e6dde4c2af549f374de885038f90b7258 (diff)
test suite: ensure we haven't started speaking IMAP when the SSL/TLS handshake is aborted.
(Unless STARTTLS is used to upgrade the connection.)
Diffstat (limited to 'tests/tls-pin-fingerprint/t')
-rw-r--r--tests/tls-pin-fingerprint/t6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/tls-pin-fingerprint/t b/tests/tls-pin-fingerprint/t
index 6716833..883a887 100644
--- a/tests/tls-pin-fingerprint/t
+++ b/tests/tls-pin-fingerprint/t
@@ -41,8 +41,9 @@ EOF
grep -Fx "remote: ERROR: Can't initiate TLS/SSL handshake" <"$STDERR" || error
grep -Fx "remote: WARNING: Fingerprint doesn't match! MiTM in action?" <"$STDERR" || error
grep -Fx "remote: ERROR: Can't initiate TLS/SSL handshake" <"$STDERR" || error
-# make sure we didn't send any credentials
+# make sure we didn't send any credentials or started speaking IMAP
! grep -E "^remote: C: .* (AUTHENTICATE|LOGIN) " <"$STDERR" || error
+grep -Fx "remote: IMAP traffic (bytes): recv 0 sent 0" <"$STDERR" || error
# two invalid ones
with_remote_config <<-EOF
@@ -53,8 +54,9 @@ EOF
grep -Fx "remote: ERROR: Can't initiate TLS/SSL handshake" <"$STDERR" || error
grep -Fx "remote: WARNING: Fingerprint doesn't match! MiTM in action?" <"$STDERR" || error
grep -Fx "remote: ERROR: Can't initiate TLS/SSL handshake" <"$STDERR" || error
-# make sure we didn't send any credentials
+# make sure we didn't send any credentials or started speaking IMAP
! grep -E "^remote: C: .* (AUTHENTICATE|LOGIN) " <"$STDERR" || error
+grep -Fx "remote: IMAP traffic (bytes): recv 0 sent 0" <"$STDERR" || error
# valid + invalid